import request from '@/utils/request'

// 查询待办事项列表
export function listItem(query) {
  return request({
    url: '/assets/item/list',
    method: 'get',
    params: query
  })
}

// 查询待办事项详细
export function getItem(id) {
  return request({
    url: '/assets/item/' + id,
    method: 'get'
  })
}

// 新增待办事项
export function addItem(data) {
  return request({
    url: '/assets/item',
    method: 'post',
    data: data
  })
}

// 修改待办事项
export function updateItem(data) {
  return request({
    url: '/assets/item',
    method: 'put',
    data: data
  })
}

// 删除待办事项
export function delItem(id) {
  return request({
    url: '/assets/item/' + id,
    method: 'delete'
  })
}

// 导出待办事项
export function exportItem(query) {
  return request({
    url: '/assets/item/export',
    method: 'get',
    params: query
  })
}